Bug 205090 - FC5 2.6.17-1.2174 Hangs on Boot on ASUS M2NPV-VM Motherboard
FC5 2.6.17-1.2174 Hangs on Boot on ASUS M2NPV-VM Motherboard
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-03 21:46 EDT by Khoa Ton
Modified: 2015-01-04 17:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-20 14:09:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Here is the dmesg output for successful boot with pci=noacpi boot parm. (15.11 KB, text/plain)
2006-09-05 01:02 EDT, Khoa Ton
no flags Details

  None (edit)
Description Khoa Ton 2006-09-03 21:46:17 EDT
Description of problem:
Running kernel 2.6.15-1.2054 (original install from downloaded FC5 x86_64 media)
runs fine.  Upgraded via "yum update".  Upon reboot, kernel 2.6.17-1.7124 hangs,
last line on console is:

io scheduler cfq registered (default)

Version-Release number of selected component (if applicable):
2.6.17-1.7124 

How reproducible:


Steps to Reproduce:
1. Install FC5 from x86_64 downloaded (via bittorrent) media (SHA1SUM verified)
2. Kernel 2.6.15-1.2054 boots fine.
3. "yum update" and let run overnight
4. Updated kernel 2.6.17-1.7124 hangs every boot.
  
Actual results:
Boot process hangs, last line on console (quiet and no quiet boot):
io scheduler cfq registered (default)

Expected results:
Kernel should boot

Additional info:
Disabling SATA controller (root drive is PATA IDE primary master) still does not
eliminate problem.

Please let me know if there are any other test or information you need.
Comment 1 Khoa Ton 2006-09-03 21:53:07 EDT
Oops, I made a mistake in the problem kernel version throughout this report.  It
should be 2.6.17-1.2471 and NOT 2.6.17-1.7124 due to mental transposition and
subsequent cut-and-paste!  Is it possible to change this bug report to reflect
the correct kernel revision, or should I resubmit?
Comment 2 Khoa Ton 2006-09-04 00:03:27 EDT
Sorry again, that's kernel version 2.6.17-1.2174.
Comment 3 Khoa Ton 2006-09-04 01:27:28 EDT
The hang was due to some ACPI related interaction and the new 2.6.17-1.2174
kernel.  I ran with:
	pci=noacpi
and the system booted! Based on Stanton Finley's writeup at:
	http://stanton-finley.net/kernel-parameters.txt
the above option instructs the kernel not to use ACPI for IRQ routing or for PCI
scanning.

I don't know what the ramifications of setting this kernel parameter
are, aside from bypassing the hang...
Comment 4 Bob Cochran 2006-09-04 10:33:41 EDT
I'd like to mention that the motherboard being used is a Socket AM2 board.
Hopefully, Khoa will create an attachment of his dmesg output here so more
information is available.

Bob
Comment 5 Khoa Ton 2006-09-05 00:12:25 EDT
Thanks Bob. Here are the last lines on the console at the hang (typed in manually):

Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
Loading keyring
- Added public key D4AD441F6DB3F282
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
_

The last "_" represents the blinking cursor


There are no dmesg output available in the case that the kernel hangs.
Comment 6 Khoa Ton 2006-09-05 01:02:40 EDT
Created attachment 135523 [details]
Here is the dmesg output for successful boot with pci=noacpi boot parm.

Here is the dmesg output for successful boot with pci=noacpi boot parm.
Comment 7 David Lawrence 2006-09-05 12:01:34 EDT
Changing to proper owner, kernel-maint.
Comment 8 Jim Mollmann 2006-09-05 22:03:22 EDT
I see the same failure. But "pci=noacpi" does not let my system boot. I have a 
SATA HD.

The last kernel that boots is kernel-2.6.16-1.2133_FC5.x86_64.rpm. The first 
that does not is kernel-2.6.17-1.2139_FC5.x86_64.rpm.

I notice that this:

ata1: SATA max UDMA/133 cmd 0x9F0 ctl 0xBF2 bmdma 0xE000 irq 16
ata2: SATA max UDMA/133 cmd 0x970 ctl 0xB72 bmdma 0xE008 irq 16

changes to "irq 153" when I boot 2174 with "pci=noacpi".

Also see Andy Chittenden's thread on linux-kernel -
http://www.uwsg.iu.edu/hypermail/linux/kernel/0608.3/0225.html
Comment 9 Dave Jones 2006-10-16 20:52:21 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 10 Bob Cochran 2006-10-17 22:56:55 EDT
I can confirm the 2200.fc5 kernel solves at least one problem I didn't list in
this bug but did in a separate bug: the kernel no longer seems to "time out" on
each unused SATA2 connection on my Asrock 939SLI32-eSATA2 motherboard. I don't
know if this solves Khoa's problem, but it does solve mine. 

Thanks, Dave!
Comment 11 Jim Mollmann 2006-10-22 20:05:35 EDT
2.6.18-1.2200.fc5 does boot. 2.6.18-1 does not.
Comment 12 Vladislav Titov 2006-10-25 10:18:16 EDT
I had encountered the same problem during installation of FC-6-x86_64-DVD.iso on
my PC with the same motherboard. 
During loading from DVD boot process stops at line "io scheduler cfq registered
(default)". But I don't know exactly what kernel is used there.
Comment 13 Dave Jones 2006-11-20 14:09:41 EST
they're different enough that it deserves a separate bug.

as the original reporter hasn't responded here, but Jim mentioned that
2.6.18-1.2200.fc5 boots for him, I'll close this out.

Note You need to log in before you can comment on or make changes to this bug.